← Tabeller

Scotland

National League Division 2

#LagPWDLPDBPPtsForm
1Highland RFC7700+254735WWWWW
2Newton Stewart RFC7502+126727WWWWW
3Falkirk RFC7502+59727WWWWL
4Peebles RFC7502+38323LWWWL
5Gordonian RFC74030420WLLLW
6Stewart's Melville RFC7304+25618LLLWW
7Kirkcaldy RFC7304-159315WLLLW
8Dundee Rugby7106-81610LWLLL
9Howe of Fife RFC7106-122610LLWLL
10Preston Lodge RFC7106-14048LLLLL

Kilde: Scottish Rugby · sjekket 17. okt., 23:20 · Form: de fem siste resultatene vi har, nyeste til høyre.

Kamper og resultater →

Hver tabell er ligaens egen publiserte stilling, med bonuspoeng, trekk og rangeringsregler. BP vises der ligaen publiserer det; ellers er det allerede med i Pts.